%define upstream_name    Linux-Prctl
%define upstream_version 1.6.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    Control process parameters and capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libcap-devel
BuildRequires: perl-devel

%description
The linux prctl function allows you to control specific characteristics of
a process' behaviour. Usage of the function is fairly messy though, due to
limitations in C and linux. This module provides a nice non-messy
python(ic) interface. Most of the text in this documentation is based on
text from the linux manpages prctl(2) and capabilities(7)

Besides prctl, this library also wraps libcap for complete capability
handling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:1.6.0-4.mga6
+ Revision: 1029169
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1:1.6.0-3.mga6
+ Revision: 957660
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:1.6.0-2.mga6
+ Revision: 844954
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 1:1.6.0-1.mga6
+ Revision: 842028
- New version 1.6.0 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5.0-4.mga5
+ Revision: 744943
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5.0-3.mga5
+ Revision: 685231
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1:1.5.0-2.mga5
+ Revision: 631376
- Rebuild for perl 5.20

* Mon Feb 17 2014 jquelin <jquelin> 1:1.5.0-1.mga5
+ Revision: 593511
- forcing upgrade through epoch, upstream changed its versioning scheme
- update to 1.5.0

* Sat Oct 19 2013 umeabot <umeabot> 1.400.0-5.mga4
+ Revision: 524410
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.400.0-4.mga4
+ Revision: 430868
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 369120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 jquelin <jquelin> 1.400.0-2.mga3
+ Revision: 256137
- upstream patch to skip yama test

* Fri Jun 01 2012 jquelin <jquelin> 1.400.0-1.mga3
+ Revision: 252878
- remove failing test

* Thu Nov 17 2011 kharec <kharec> 1.400.0-1.mga2
+ Revision: 168580
- add correct BR
- imported package perl-Linux-Prctl


* Thu Nov 17 2011 cpan2dist 1.4-1mga
- initial mageia release, generated with cpan2dist
